Subject: Re: bug#59333: [PATCH] Define macro dlet*

From: Jean Louis <[email-masked]>
Date: Sat, 19 Nov 2022 07:28:18 +0300

* Eli Zaretskii <[email-masked]> [2022-11-17 10:27]:
> I can only understand the breakage if someone picked up dlet as
> originally implemented on master, before Emacs 28 was released.  In
> that case, it's the risk people take when they follow the development
> code too closely.

Since I found it volatile in development, I have renamed it in my
personal packages to `rcd-dlet'.

My packages are with lexical binding. `dlet' is inevitable part of
template interpolation which is used to generate thousands of Internet
pages, e-mails, and too many PDf documents.

hyperscope.el:3113:	 (text (rcd-dlet ((hs::id id)
hyperscope.el:4515:    (rcd-dlet ((rcd::lisp (rcd-db-get-entry "markuptypes" "markuptypes_textlisp" markup hs-db))
hyperscope.el:4526:  (rcd-dlet ((hs::id id)
hyperscope.el:4545:      (rcd-dlet ((hs::markup-id (hyperscope-markup-language id))
hyperscope.el:4571:    (rcd-dlet ((hs::markup-id (hyperscope-markup-language id))
hyperscope.el:5772:  (rcd-dlet ((hs::markup-id (hyperscope-markup-language id)) 
hyperscope.el:5830:	     ;; 					       (rcd-dlet ((hd::is id)) (rcd-template-eval text)))
hyperscope.el:6819:	    (rcd-dlet ((hyperscope::variables (make-hash-table)))
hyperscope.el:6958:	      (rcd-dlet ((wrs::variables (make-hash-table :test 'equal))
hyperscope.el:7014:	  (rcd-dlet ((wrs::title title)
hyperscope.el:7116:		   (asciidoc (rcd-dlet ((hs:id id)) (rcd-template-eval asciidoc '("X" "X") hash)))
rcd-cf.el:6898:    (rcd-dlet ((wrs::width width)
rcd-cf.el:7840:	     (message (rcd-dlet ((rcd::hello-name name))
rcd-cf.el:9151:  (rcd-dlet ((wrs-text text))
rcd-cf.el:9310:				(rcd-dlet ((wrs::related-pages related-pages)
rcd-cf.el:9335:    (rcd-dlet ((rcd::name name)
rcd-cf.el:9381:    (rcd-dlet ((wrs::id page-id)
rcd-cf.el:9426:      (rcd-dlet ((wrs::text (rcd-template-eval wrs::text '("X" "X") wrs::variables))
rcd-cf.el:9429:	(rcd-dlet ((wrs::template (gethash "templates_template" wrs::template))
rcd-cf.el:10850:    (rcd-dlet ((rcd::name name)
rcd-cf.el:10998:      (rcd-dlet ((rcd::hello-name "Jean"))
rcd-cf.el:12307:    (rcd-dlet ((rcd::text text))
rcd-cf.el:12328:       (cond (template (rcd-dlet ((wrs::text text)
rcd-mailing.el:211:		 (message (rcd-dlet ((wrs::text message)
rcd-mailing.el:256:	   (expanded-body (rcd-dlet ((hello-name hello-name)
rcd-mailing.el:261:	   (html (rcd-dlet ((wrs::text (rcd-db-markupconversions-do expanded-body markup-input markup-output-html))
rcd-utilities.el:191:(defmacro rcd-dlet (binders &rest body)
rcd-utilities.el:1881:  (rcd-dlet ((wrs-processor "asciidoctor"))

--
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/